Skip to main content
GET
Get one attachment with a fresh presigned download URL

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$

Query Parameters

extend
enum<string>[]

Extend options (JSON-encoded array, e.g. ?extend=["category"]):

  • "uploaded-by": Includes the uploader's identity (id, ref, name) when present.
Available options:
uploaded-by

Response

Default Response

id
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
name
string
required
Required string length: 1 - 255
mimeType
string
required
Required string length: 1 - 100
size
integer
required
Required range: 0 < x <= 1073741824
slot
string | null
required
Required string length: 1 - 50
parentType
enum<string>
required
Available options:
anomaly,
intervention,
report,
logbook,
provider,
contract,
equipment,
routine
parentId
string<uuid>
required
Pattern: ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
downloadUrl
string<uri>
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
uploadedBy
object | null